<?php
namespace Avaliacao\Entities;

use Geral\Util\DateUtil;
use Geral\Util\NovoCodigo;

class Questao extends Base\Questao
{
    public static function retornaQuestao($nrorg, $nrquestao) {
        $obj = self::getObjectByWhere(
            'NRORG = ? AND NRQUESTAO = ?',
            array(
                $nrorg,
                $nrquestao,
            )
        );
        return $obj;
    }

    public function insereQuestao($nrorg, $txquestao, $idtipoquestao, $idopcaoresposta, $nrnivelpadquest, $dtrevisaquestao = null, $idquestaoobriga){
        try {
            $obj = new self();

            $obj->setNrquestao(NovoCodigo::geraCodigo($nrorg, 'QUESTAO',1,10,true));
            $obj->setNrorg($nrorg);
            $obj->setTxquestao($txquestao);
            $obj->setIdtipoquestao($idtipoquestao);
            $obj->setIdopcaoresposta($idopcaoresposta);
            $obj->setNrnivelpadquest($nrnivelpadquest);
            if(!empty($dtrevisaquestao)){
                $obj->setDtrevisaquestao($dtrevisaquestao);
            }
            $obj->setIdquestaoobriga($idquestaoobriga);
            $obj->setIdativo('S');
            $obj->setDtinclusao(DateUtil::getDataAtual());
            $obj->setDtultatu(DateUtil::getDataAtual());
            $obj->setNrorginclusao($nrorg);
            $obj->setNrorgultatu($nrorg);

            $obj->persist();

            \Setforms2\Shared\Registry::getEntityManager()->flush();

            return $obj;

        } catch (\Exception $e) {
            tk_warning($e->getMessage());
            return false;
        }
    }


}